Subject: bug#59252: 29.0.50; Add new ts-modes to eglot-server-programs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Nov 2022 05:25:06 +0200

> Date: Sun, 13 Nov 2022 21:56:57 +0100
> From:  Theodor Thornhill via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> It seems my new ts-mode was already added to the eglot-server-programs,
> so why not also add the others that were added to feature/tree-sitter?

Because I asked to wait with this until tree-sitter lands on master.
As you yourself know, we are still debating whether to make these
modes separate major modes or minor variations of existing modes.
There's no need to rush with trivial changes that will need to be
undone later.